Subject: [Sip] Enjoyable read... Re: I-D Action: draft-kaplan-sip-four-oh-00.txt

From: Dan York <[email-masked]>
Date: Tue, 1 Apr 2008 14:12:07 -0400

Hadriel,

Nice piece of work that you and Bob did!   I laughed quite a good bit  
throughout.

Thanks for injecting some humor here,
Dan

On Apr 1, 2008, at 3:15 AM, Hadriel Kaplan wrote:

> Greetings,
> Given today's relative importance in history - being the date Swiss  
> farmers had their largest spaghetti crop harvest, Sweden introduced  
> color television, the USSR connected Kremvax to Usenet, the Alabama  
> state government changed the value of Pi to 3.0, and much more - we  
> took it upon ourselves to write up and submit a new Internet-Draft  
> for an update to RFC 3261 (and a bunch of other RFCs): P2P2PSIP,  
> a.k.a. SIP v4.0.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-kaplan-sip-four-oh-00.txt
>
> Abstract:
> This document defines a new and improved version of SIP, which  
> tastes great and is less filling than the previous SIP.  This draft  
> updates all previous and future RFCs related to SIP in SIPPING,  
> SIMPLE, MMUSIC, BEHAVE, and so on.
>
> -hadriel
> p.s. I apologize for the length of it - it was only 41 pages long  
> originally, but my co-author demanded it be expanded to 42 pages  
> (for obvious reasons), and thus it's a bit bloated.
>
> _______________________________________________
> Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip

-- 
Dan York, CISSP, Director of Emerging Communication Technology
Office of the CTO    Voxeo Corporation     [email-masked]
Phone: +1-407-455-5859  Skype: danyork  http://www.voxeo.com
Blogs: http://blogs.voxeo.com  http://www.disruptivetelephony.com

Build voice applications based on open standards.
Find out how at http://www.voxeo.com/free

_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 01 Apr 2008 12:18:52 -0600

I'm waiting for v6 myself...

Dan York wrote:
>> took it upon ourselves to write up and submit a new Internet-Draft for
>> an update to RFC 3261 (and a bunch of other RFCs): P2P2PSIP, a.k.a.
>> SIP v4.0.
>>
>> This document defines a new and improved version of SIP, which tastes
>> great and is less filling than the previous SIP.  This draft updates
>> all previous and future RFCs related to SIP in SIPPING, SIMPLE,
>> MMUSIC, BEHAVE, and so on.
>>
>> -hadriel
>> originally, but my co-author demanded it be expanded to 42 pages (for
>> obvious reasons), and thus it's a bit bloated.
>>

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 01 Apr 2008 14:29:23 -0400

humor?

I'm looking forward to cleaning up the details and getting this 
approved. Its about time we moved on.

	Paul

Dan York wrote:
>> Use [email-masked] 
>> <mailto:[email-masked]> for questions on current sip
>> Use [email-masked] <mailto:[email-masked]> for new developments on 
>> the application of sip
> 
> -- 
> <mailto:[email-masked]>
> ------------------------------------------------------------------------
>

---

From: Dean Willis <[email-masked]>
Date: Tue, 1 Apr 2008 14:31:42 -0500

> approved. Its about time we moved on.

That's the scary part. The draft is completely implementable. I'm  
pretty sure it wouldn't even work all that badly, especially if we cut  
down a bit on the BRIMSTONE spamming.

--
Dean

---

From: Bayan Towfiq <[email-masked]>
Date: Tue, 1 Apr 2008 12:45:58 -0700

Thanks Hadriel,
I'm looking forward to it too!
We'll get rid of the tel: confusion and the sipss: would finally solve  
secure SIP by providing end-to-end-TO-END security. I love it! hahaha

--
Bayan Towfiq

---

From: "Ganesan Sam-W00184" <[email-masked]>
Date: Tue, 1 Apr 2008 15:52:36 -0400

Count me in!!!

Sam 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Paul Kyzivat
Sent: Tuesday, April 01, 2008 2:29 PM
To: Dan York
Cc: [email-masked]; Bob Penfield
Subject: Re: [Sip] Enjoyable read... Re: I-DAction:
draft-kaplan-sip-four-oh-00.txt

humor?

	Paul

>> for an update to RFC 3261 (and a bunch of other RFCs): P2P2PSIP,
a.k.a.

>> This list is for NEW development of the core SIP Protocol Use 
>> [email-masked] 
>> <mailto:[email-masked]> for questions on current 
>> sip Use [email-masked] <mailto:[email-masked]> for new 
>> developments on the application of sip
> 
> --
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip Use 
> [email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol Use
[email-masked] for questions on current sip Use
[email-masked] for new developments on the application of sip
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "James M. Polk" <[email-masked]>
Date: Tue, 01 Apr 2008 15:00:56 -0500

>approved. Its about time we moved on.

last nit - it needs to explicitly deprecate all currently 
standardized headers by name (not just whimically mention "all others 
present and future are no good anymore") to reduce the last bits of 
potential confusion by readers - and I think this doc is done.

Who's gonna call for consensus on it?

---

From: "Ganesan Sam-W00184" <[email-masked]>
Date: Tue, 1 Apr 2008 16:28:07 -0400

Agenda time in Dublin..... !!!!  

Sam 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
James M. Polk
Sent: Tuesday, April 01, 2008 4:01 PM
To: Paul Kyzivat; Dan York
Cc: [email-masked]; Bob Penfield
Subject: Re: [Sip] Enjoyable read... Re: I-D Action:
draft-kaplan-sip-four-oh-00.txt

>approved. Its about time we moved on.

last nit - it needs to explicitly deprecate all currently standardized
headers by name (not just whimically mention "all others present and
future are no good anymore") to reduce the last bits of potential
confusion by readers - and I think this doc is done.

> > Thanks for injecting some humor here, Dan
> >

a.k.a.

---

From: "Richard Shockey" <[email-masked]>
Date: Tue, 1 Apr 2008 21:19:01 -0400

I was particularly impressed by the explicit support for RFC 3093

http://www.ietf.org/rfc/rfc3093.txt

We've needed this for a long time.

>  Dean Willis
>  Sent: Tuesday, April 01, 2008 3:32 PM
>  To: Paul Kyzivat
>  Cc: SIP List
>  Subject: Re: [Sip] Enjoyable read... Re: I-D Action: draft-kaplan-sip-
>  four-oh-00.txt
>  
>

---

From: Enrico Marocco <[email-masked]>
Date: Wed, 02 Apr 2008 10:52:33 +0200

Hadriel Kaplan wrote:
> p.s. I apologize for the length of it - it was only 41 pages long originally, but my co-author demanded it be expanded to 42 pages (for obvious reasons), and thus it's a bit bloated.

Now I'm sure: this is the answer!  Lovely :-)

-- 
Ciao,
Enrico

---

From: Dan York <[email-masked]>
Date: Wed, 2 Apr 2008 09:26:56 -0400

> We've needed this for a long time.

Which effectively defines HTTP as the new waist of the Internet  
hourglass, eh?

(in contrast to http://tools.ietf.org/id/draft-rosenberg-internet- 
waist-hourglass-00.txt )

:-)
Dan

---

From: Hadriel Kaplan <[email-masked]>
Date: Wed, 2 Apr 2008 12:08:20 -0400

Actually, what's really funny is the previous version really *was* 41 pages long and Bob really *did* insist I add something to make it 42 pages long (for obvious reasons).  The major piece I added to do so was page 4, with the two words "DON'T PANIC".
:)

-hadriel

> From: Enrico Marocco [mailto:[email-masked]]
> Sent: Wednesday, April 02, 2008 4:53 AM
> To: Hadriel Kaplan
> Subject: Re: [Sip] I-D Action: draft-kaplan-sip-four-oh-00.txt
>
> Hadriel Kaplan wrote:

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Wed, 02 Apr 2008 13:18:53 -0500

Hadriel Kaplan wrote:
> Greetings,
> Given today's relative importance in history - being the date Swiss farmers had their largest spaghetti crop harvest, Sweden introduced color television, the USSR connected Kremvax to Usenet, the Alabama state government changed the value of Pi to 3.0, and much more - we took it upon ourselves to write up and submit a new Internet-Draft for an update to RFC 3261 (and a bunch of other RFCs): P2P2PSIP, a.k.a. SIP v4.0.
> 

Hadriel: Given the problems we have had with UDP, I think your draft
should deprecate UDP in favor of carrying IP datagrams on avian
carriers (RFC 1149).  The benefits are many, and the frame format
is very simple:

    The IP datagram is printed, on a small scroll of paper, in
    hexadecimal, with each octet separated by whitestuff and blackstuff.
    The scroll of paper is wrapped around one leg of the avian carrier.
    A band of duct tape is used to secure the datagram's edges.  The
    bandwidth is limited to the leg length.  The MTU is variable, and
    paradoxically, generally increases with increased carrier age.  A
    typical MTU is 256 milligrams.  Some datagram padding may be needed.

    Upon receipt, the duct tape is removed and the paper copy of the
    datagram is optically scanned into a electronically transmittable
    form.

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs
_______________________________________________
Sip mailing list  https://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Hadriel Kaplan <[email-masked]>
Date: Wed, 2 Apr 2008 15:20:26 -0400

Hmmm... I thought RFC 1149 was at a lower layer, so UDP just rides on IP on top of Avian.  Really, it's essentially just another wireless layer-1, which I guess would be "WiFly" instead of WiFi.  I'll leave it to Dan's draft-wing-it to handle how one does that, if we need a sipping-style use-case.

But I really think RFC 1149 is for the birds, and would pigeon-hole us into one specific path.  That would create a chicken-and-egg problem, because without 1149 being popular, people would not flock to SIPv4, and that would fowl up 1149 becoming popular.  I'd rather duck that issue, and instead home-in on publishing a SIPv4 draft to sow the seeds, and letting it fly, and we can smooth any ruffled feathers later.  That way people can migrate to SIPv4 now, until the final published doc is grounded.  If SIPv4 and WiFly come home to roost we can crow about it later, but for now we need to let SIPv4 out of the cage, with space to stretch its wings and take off.

-hadriel

> From: Vijay K. Gurbani [mailto:[email-masked]]
> Sent: Wednesday, April 02, 2008 2:19 PM
> To: Hadriel Kaplan
> farmers had their largest spaghetti crop harvest, Sweden introduced color
> television, the USSR connected Kremvax to Usenet, the Alabama state
> government changed the value of Pi to 3.0, and much more - we took it upon
> ourselves to write up and submit a new Internet-Draft for an update to RFC
> 3261 (and a bunch of other RFCs): P2P2PSIP, a.k.a. SIP v4.0.
> >